%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Python modules for starting Xen guest installations
Name: python-virtinst
Version: 0.99.0
Release: 3.el5.1.7
Source0: virtinst-%{version}.tar.gz

Patch1: ovs-add-os-type-variant-dictionary-cs88.patch
Patch2: ovs-os-type-short-opts-cs150.patch
Patch3: ovs-fix-windows-os-variant-cs199.patch
Patch4: ovs-windows-acpi-apic-settings-cs228.patch
Patch5: ovs-disable-usb-tablet-for-non-windows-cs285.patch
Patch6: ovs-check-os-type-before-os-variant-cs328.patch

Patch100: virtinst-dd-odirect.patch
Patch101: ovs-virt-install-config-additions.patch
Patch102: ovs-timer-mode-support.patch
Patch103: ovs-win-install-keep-cdimage.patch
Patch104: ovs-hvm-vif-type-usbtablet-updates.patch
Patch105: ovs-virt-install-pvfb-param.patch
Patch106: ovs-virt-install-cdrom.patch
Patch107: ovs-change-timer-mode-default-to-0.patch

License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
ExcludeArch: ppc ppc64 s390 s390x
Url: http://hg.et.redhat.com/virt/applications/virtinst--devel
Provides: xeninst
Provides: python-xeninst = %{version}
Provides: virtinst
Requires: libvirt-python >= 0.1.4-4
Requires: urlgrabber
Obsoletes: python-xeninst < %{version}

%description
virtinst is a module to help in starting installations of Fedora/Red
Hat Enterprise Linux related distributions inside of virtual machines.  It
supports both paravirt guests (for which only FC and RHEL guests are
currently supported) as well as fully virtualized guests.  It uses
libvirt (http://www.libvirt.org) for starting things.

Also contained is a simple script virt-install which uses
virtinst in a command line mode.

%prep
%setup -q -n virtinst-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mv $RPM_BUILD_ROOT/%{_bindir}/virt-install $RPM_BUILD_ROOT/%{_sbindir}/virt-install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%dir %{python_sitelib}/virtinst
%{python_sitelib}/virtinst/*
%{_sbindir}/virt-install

%changelog
* Fri Mar 7 2008 Kevin Lyons <kevin.x.lyons@oracle.com> - 0.99.0-3.el5.1.7
- Added patch to fix setting of timer_mode
- Added patch to fix missing cdrom entry in config file
- [bugz 5390]

* Mon Mar 3 2008 Kevin Lyons <kevin.x.lyons@oracle.com> - 0.99.0-3.el5.1.6
- fix pvfb passwd and vnclisten params
- [bugz 5139]

* Thu Feb 28 2008 Kurt Hackel <kurt.hackel@oracle.com> - 0.99.0-3.el5.1.5
- add vif type param for hvm guests
- set usbtablet param based on os type and variant
- add rhel3_64

* Wed Feb 20 2008 Kurt Hackel <kurt.hackel@oracle.com> - 0.99.0-3.el5.1.4
- add commandline option to allow cdrom to be retained for win installs

* Fri Jan 25 2008 Kurt Hackel <kurt.hackel@oracle.com> - 0.99.0-3.el5.1.3
- Backport some changes for os type and variant from upstream
- Add very basic support for os specific timer_mode settings

* Fri Nov 3 2007 Kevin Lyons <kevin.x.lyons@oracle.com> - 0.99.0-3.el5.1.2
- Alter dd patch so that dd is ioniced

* Mon Oct 29 2007 Kurt Hackel <kurt.hackel@oracle.com> - 0.99.0-3.el5.1.1
- Make sure to single-quote vnclisten and vncpasswd

* Mon Oct 29 2007 Kevin Lyons <kevin.x.lyons@oracle.com> - 0.99.0-3.el5.1.0
- Alter release string to match OVS convention

* Sat Oct 27 2007 Joel Becker <joel.becker@oracle.com> - 0.99.0-3.el5
- add "keep cdrom", usbtablet, vncpasswd and vnclisten to virt-install

* Wed Jan 24 2007 Daniel Berrange <berrange@redhat.com> - 0.99.0-2.el5
- use dd with o_direct to create non-sparse files (bz #223491)

* Fri Dec 15 2006 Jeremy Katz <katzj@redhat.com> - 0.99.0-1.el5
- support upstream pvfb config syntax (danpb, #219195)
- don't traceback on invalid memory param (gcosta, #219270)
- let the console come back quicker to help with HVM installs (#212024)

* Thu Nov 30 2006 Jeremy Katz <katzj@redhat.com> - 0.98.0-1.el5
- add support for creating nonsparse disk images (#217764)

* Mon Nov 20 2006 Jeremy Katz <katzj@redhat.com> - 0.97.0-1
- handle multiple nics with virt-install (#215726)

* Thu Nov 16 2006 Daniel P. Berrange <berrange@redhat.com> - 0.96.0-3
- Autodetect primary bridge device when creating guests (bz 207210, 201626)

* Tue Oct 24 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-2
- remove compat symlinks as apps have been changed

* Wed Oct 18 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-1
- improve check for if a machine is hvm capable to catch when support isn't
  allowed by the bios (#211276)
- cleanup after nfs mount failure on pv install (#206196)
- support for setting vcpus (#210516)

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 0.95.0-1
- support for blktap (danpb)
- name change

* Tue Oct  3 2006 Jeremy Katz <katzj@redhat.com> - 0.94.0-1
- Fix using block device as backing (#209138)
- Fix error handling for invalid install locations (danpb)
- Write out vcpu config (danpb)

* Wed Sep 20 2006 Jeremy Katz <katzj@redhat.com> - 0.93.0-1
- Fix hvm network xm config (danpb)
- Enable PAE with pae hvm hosts (danpb)
- Fix hvm block backed cds (danpb)
- Fix handling of block devs backed by vbds (danpb)
- Ensure we're on a xen kernel (#205889)
- Default to vncunused

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-2
- add patch to fix memory parsing in interactive mode
- fix deps

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-1
- Fix silly loop when asking about graphics support (misa)
- Fix passing macaddr
- Add support so that we reboot into the guest after installation finishes 

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 0.91.0-1
- add support for paravirt guests with framebuffer. 

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 0.90.1-1
- fix tab/space whitespace inconsistency

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-2
- set ExcludeArch so that it doesn't get pulled into all trees

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-1
- update to version with fixed HVM domain creation

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.9-2
- add some missing requires

* Tue Aug 15 2006 Jeremy Katz <katzj@redhat.com> - 0.9-1
- Initial build

